## tellico 1.3

=== doc/CMakeLists.txt ===
ADD_SUBDIRECTORY( en ) 
ADD_SUBDIRECTORY( fr ) 



########### install files ###############




#original Makefile.am contents follow:

######## kdevelop will overwrite this part!!! (begin)##########
#
#SUBDIRS = en fr
#
######## kdevelop will overwrite this part!!! (end)############
