## tellico 0.13.1-1

=== debian/changelog ===
tellico (0.13.1-1) unstable; urgency=low

  * New upstream release. Mainly bugfixes and translation updates.

 -- Regis Boudin <regis@boudin.name>  Sun, 12 Dec 2004 23:23:20 +0000

tellico (0.13-1) unstable; urgency=low

  * New upstream release.
  * Use dh_compat 4. Consequently, removed hack to fix absolute link. 
  * Updated pixmap icon to use the new one.
  * Modified fix for rpath problem by patching src/Makefile.in instead of
    configure. Removed the now useless "touch config.h.in" trick.
  * Updated package description. Thanks to Matthieu Delehaye.
  * Updated build dependencies. Removed libapanoia0-dev, added libyaz-dev.

 -- Regis Boudin <regis@boudin.name>  Thu,  2 Dec 2004 18:41:54 +0000

tellico (0.12-1) unstable; urgency=medium

  * New upstream release and new package. This is in fact Bookcase 0.11
    rebranded as Tellico because of a trademark issue.
  * For smooth transition, provide an empty bookcase package depending on
    tellico.
  * Build depend on kdemultimedia-dev (>> 4:3.2.2-1). This specific version of
    the package has a bug which prevent tellico from building.
  * Bookcase 0.11 has been in sid for ~10 days, so it is already tested. Set
    the priority to medium to increase the chances of getting this package in
    Sarge if KDE 3.3 is accepted.
  * Move tellico.desktop to /usr/share/applications instead of
    /usr/share/applnk/Applications to comply with freedesktop.org standards.

 -- Regis Boudin <regis@boudin.name>  Wed, 22 Sep 2004 19:08:40 +0100

bookcase (0.11-1) unstable; urgency=low

  * New upstream release (Closes: #269903)
    -Ability to import Audio CD data from Alexandria
    -Ability to import Audio files metadata
  * To enable previously listed new features, updated Build-Depends :
    -Added kdemultidmedia-dev
    -Added libcdparanoia0-dev
    -Added libtag1-dev
  * Previous release (0.10) fixed bug when building with gcc-3.4
    (Closes: #258542)
  * debian/bookcase.xpm: only use 24 colors, lintian complained about it.
  * touch config.h.in at the beginning of debian/rules. It updates the
    date of the file and prevent Makefile from calling autoheader because
    configure was patched.

 -- Regis Boudin <regis@boudin.name>  Sun,  5 Sep 2004 00:23:30 +0100

bookcase (0.9.3-1) unstable; urgency=high

  * New upstream release. It solves a license issue, priority set to high.
    (Closes: #252740)
  * New maintainer mail address
  * Do not gzip docbook files for khelpcenter (Closes: #248983)
  * Remove useless mention of info file from manpage (thanks to Matthieu
    Delahaye)

 -- Regis Boudin <regis@boudin.name>  Thu,  3 Jun 2004 23:35:01 +0100

bookcase (0.9.1-1) unstable; urgency=low

  * New upstream release (Closes: #213896, #21498)

 -- Regis Boudin <boudinr@esiee.fr>  Wed,  5 May 2004 20:40:40 +0100

bookcase (0.8.5-1) unstable; urgency=low

  * New upstream release (Closes: #236020)

 -- Regis Boudin <boudinr@esiee.fr>  Thu, 11 Mar 2004 10:20:47 +0000

bookcase (0.8.4-1) unstable; urgency=low

  * Thanks to Matthieu Delahaye for sponsoring this package
  * New upstream release (Closes: #230380, #213901, #213898, #211183)
  * Description update (Closes: #213327)

 -- Regis Boudin <boudinr@esiee.fr>  Sun, 22 Feb 2004 20:18:17 +0000

bookcase (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Regis Boudin <boudinr@esiee.fr>  Fri,  6 Feb 2004 10:19:37 +0000

bookcase (0.8-1) unstable; urgency=low

  * New upstream release

 -- Regis Boudin <boudinr@esiee.fr>  Thu, 29 Jan 2004 21:40:57 +0000

bookcase (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Packaging corrections thanks to Joerg
  * Copyright file update

 -- Regis Boudin <boudinr@esiee.fr>  Wed, 26 Nov 2003 20:52:10 +0000

bookcase (0.6.6-3) unstable; urgency=low

  * Correct dependencies (Closes: #211162, #211173)
  * Many thanks to Antonin Kral for sponsoring the package

 -- Regis Boudin <boudinr@esiee.fr>  Tue, 16 Sep 2003 11:23:45 +0100

bookcase (0.6.6-2) unstable; urgency=low

  * New manpage
  * Fix rpath compilation
  * Fix typo errors

 -- Regis Boudin <boudinr@esiee.fr>  Tue,  2 Sep 2003 13:39:27 +0100

bookcase (0.6.6-1) unstable; urgency=low

  * New upstream release

 -- Regis Boudin <boudinr@esiee.fr>  Mon, 18 Aug 2003 11:13:37 +0100

bookcase (0.6.5-1) unstable; urgency=low

  * New upstream release

 -- Regis Boudin <boudinr@esiee.fr>  Tue, 22 Jul 2003 09:23:09 +0100

bookcase (0.6.4-2) unstable; urgency=low

  * Fix translation problem

 -- Regis Boudin <boudinr@esiee.fr>  Thu,  3 Jul 2003 22:32:16 +0100

bookcase (0.6.4-1) unstable; urgency=low

  * New upstream release

 -- Regis Boudin <boudinr@esiee.fr>  Thu, 26 Jun 2003 14:39:59 +0100

bookcase (0.6.3-1) unstable; urgency=low

  * Include patch for KDE 3.0
  * New upstream release

 -- Regis Boudin <boudinr@esiee.fr>  Sat, 31 May 2003 22:54:00 +0100

bookcase (0.6.2-1) unstable; urgency=low

  * Initial Release.

 -- Regis Boudin <boudinr@esiee.fr>  Mon, 12 May 2003 22:50:38 +0100
