=== debian/control ===
Source: tellico
Section: kde
Priority: optional
Maintainer: Regis Boudin <regis@boudin.name>
Build-Depends: debhelper (>> 4.0.0), kdelibs4-dev, kdemultimedia-dev (>> 4:3.2.2-1), libqt3-mt-dev, libxml2-dev, libxslt1-dev, xlibs-dev, zlib1g-dev, libtag1-dev, libyaz-dev, libwrap0-dev
Standards-Version: 3.6.1

Package: tellico
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: bookcase (<< 0.12)
Description: A collection manager for books, videos, music
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.

Package: bookcase
Architecture: all
Depends: tellico
Description: A collection manager for books, videos, music (dummy package)
 This package is a dummy one to provide a smooth transition to Tellico, which
 is the new name of Bookcase. You should be able to remove this package safely.
