## tellico 1.3.3

=== doc/CMakeLists.txt ===
ADD_SUBDIRECTORY( en ) 
ADD_SUBDIRECTORY( fr )
