=== po/CMakeLists.txt ===
file(GLOB _po_files *.po)

#GETTEXT_CREATE_TRANSLATIONS(tellico.pot ALL ${_po_files} )
