=== debian/changelog ===
tellico (2.1.1-2ubuntu1) lucid; urgency=low

  * Re-sync with Debian testing (LP: #434372).
  * Install the HTML documentation under usr/share/doc/kde4/HTML.
  * Remove dead symlink from all translated docs.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 18 Dec 2009 09:39:56 +0100

tellico (2.1.1-2) unstable; urgency=low

  * Disable webcam support if libv4l is not present, fixing FTBFS on
    kfreebsd (Closes: #559731).
  * Add missing Build-depend on libksane-dev. 

 -- Regis Boudin <regis@debian.org>  Sun, 06 Dec 2009 18:11:51 +0000

tellico (2.1.1-1) unstable; urgency=low

  * New upstream release. Fixes loss of loans and advance filters
    (Closes: #557227, #558736).

 -- Regis Boudin <regis@debian.org>  Sat, 05 Dec 2009 12:35:08 +0000

tellico (2.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to package format 3.0 with quilt.
  * Actually enable webcam when building.

 -- Regis Boudin <regis@debian.org>  Thu, 05 Nov 2009 19:00:06 +0000

tellico (2.0-2) unstable; urgency=low

  * Build-Depend on libv4l-dev except on non-linux architectures, to enable
    webcam support.

 -- Regis Boudin <regis@debian.org>  Wed, 30 Sep 2009 00:22:17 +0100

tellico (2.0-1) unstable; urgency=low

  * New upstream release. (Closes: #547935).
  * This version is now a KDE4 application. Update build-dependencies
    accordingly.
  * Stop calling deprecated dh_desktop, which is unnecessary now.

 -- Regis Boudin <regis@debian.org>  Thu, 24 Sep 2009 00:05:45 +0100

tellico (1.3.5-1ubuntu2) karmic; urgency=low

  * src/translators/pilotdb/libflatfile/DB.cpp: declare pointer as const
    to fix FTBFS (LP: #448697).

 -- Ilya Barygin <barygin@gmail.com>  Sun, 11 Oct 2009 17:26:51 +0400

tellico (1.3.5-1ubuntu1) jaunty; urgency=low

  [ Fabrice Coutadeur ]
  * Merge from Debian unstable (LP: #330392). Remaining Ubuntu changes:
    - debian/rules: delete libtool and config.log files in the cleaning part
  * Upstream 1.3.5 also fix LP: #317822.
  * debian/rules: added option --without-arts to get rid of arts library,
    otherwise it FTBFS.

  [ Alessio Treglia ]
  * tellico Recommends khelpecenter4 instead of khelpcenter.

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Sun, 15 Feb 2009 23:33:01 +0100

tellico (1.3.3-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Building without kdemultimedia-dev and libkcal2-dev
    - debian/rules: delete libtool and config.log files in the cleaning part
    - Drop khelpcenter recommends, as it no longer exists in intrepid

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 08 Dec 2008 12:47:14 +1100

tellico (1.3.2.1-1ubuntu1) intrepid; urgency=low

  [ Fabrice Coutadeur ]
  * debian/control: Building without kdemultimedia-dev and libkcal2-dev
  * debian/rules: delete libtool and config.log files in the cleaning part
  * Close LP: #264168

  [ Sarah Hobbs ]
  * Drop khelpcenter recommends, as it no longer exists in intrepid

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 27 Sep 2008 23:52:00 +1000

tellico (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * Recommend khelpcenter for acces to the help (Closes: #478975).

 -- Regis Boudin <regis@debian.org>  Fri, 23 May 2008 21:28:59 +0100

tellico (1.3.1-2) unstable; urgency=low

  * Move the import scripts to a separate package, tellico-scripts, which can
    be updated through debian-volatile (Closes: #457949).
  * Build-depend on libyaz3-dev instead of libyaz2-dev, to use the new yaz.
  * Stop suggesting python2.4, and make the guilty script use straight python
    (Closes: #472741).

 -- Regis Boudin <regis@debian.org>  Mon, 21 Apr 2008 10:38:57 +0100

tellico (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Now that dh_icons is a complete feature, call it (Closes: #464590)
  * Re-generate the manpage, to make lintian happy. Plus, it was outdated.

 -- Regis Boudin <regis@debian.org>  Sat, 15 Mar 2008 16:55:42 +0000

tellico (1.3-1) unstable; urgency=low

  * New complete upstream release, going to unstable this time. Only includes
    minor code changes and documentation update since the pre3 release.
  * Enable new barcore reading through webcam with --enable-webcam.

 -- Regis Boudin <regis@debian.org>  Wed, 30 Jan 2008 14:17:07 +0000

tellico (1.3~pre3-1) experimental; urgency=low

  * New upstream pre-release, upload to experimental. This release is brand
    new and might break things. Back up you data !
    + Includes support for pdf files. Add libpoppler-qt-dev and libexempi-dev
      to build-depends to enable it.
  * Add svg icons to the xdg mimetypes. Remove hack to rename mimetypes icons,
    The change is now included upstream.
  * Suggest ruby for more import scripts.
  * Call dh_installmime specifically for tellico-data to call
    update-mime-database in postinst and postrm.
  * Call dh_desktop in the tellico binary package to update the desktop
    database.

 -- Regis Boudin <regis@debian.org>  Sun, 13 Jan 2008 18:16:45 +0000

tellico (1.2.14-1) unstable; urgency=low

  * New upstream release. Mainly bugfixes and translation updates. Includes
    an updated German translation (Closes: #425968, #445879).
  * Check for the existence of Makefile before calling distclean.
  * Build-depend on debhelper (>> 5.0.0).
  * Switch to the new Debian menu hierarchy, move to Applications/Office.
  * Move tellico.desktop to the tellico package, so it can find the program.
  * Add a sharedmimeinfo file to tellico-data for the application/x-tellico
    mimetype.
  * Rename the mimetype icons to application-x-tellico so Gnome can use them.
  * Use the new Homepage and Vcs-Svn fields.
  * Bump Standards-Version to 3.7.3.0.
  * Apply some minor modifications to tellico.desktop to comply with the
    freedesktop specs.

 -- Regis Boudin <regis@debian.org>  Sun, 23 Sep 2007 11:06:54 +0100

tellico (1.2.11-1) unstable; urgency=low

  * New upstream release (Closes: #402275, #422792). Also add a watch file

