=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_KDE_LINK_WITH_AS_NEEDED = yes

include /usr/share/pkg-kde-tools/makefiles/1/variables.mk

build_dir = builds/debbuild

${build_dir}:
	dh_testdir

	mkdir -p ${build_dir}
	# Add here commands to configure the package.
	cd ${build_dir} && \
		cmake $(CURDIR) \
		$(DEB_CMAKE_KDE4_FLAGS) \
		$(DEB_CMAKE_CUSTOM_FLAGS) \
		-DENABLE_WEBCAM=true \
		-DCMAKE_INSTALL_PREFIX="/usr"

configure: ${build_dir}

build: build-stamp

build-stamp:${build_dir} 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C ${build_dir} VERBOSE=1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -d ${build_dir} ] || rm -rf ${build_dir}


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tellico.
	$(MAKE) -C ${build_dir} install DESTDIR=$(CURDIR)/debian/tmp

	# Remove  dead symlink from French translation
	rm debian/tmp/usr/share/doc/kde/HTML/*/tellico/common


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installmime -ptellico-data
	dh_installchangelogs -i ChangeLog
	dh_icons -i
	dh_installdocs -i
	dh_link -i
	dh_compress -i -Xkde
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples
	dh_install -a
	dh_installmenu
	dh_installman -a debian/tellico.1x
	dh_link -a
	dh_strip
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: configure build clean binary-indep binary-arch binary install
